Package: org.gradle.api.artifacts

## [Java] Interface ComponentSelection

- Represents a tuple of the component selector of a module and a candidate version to be evaluated in a component selection rule.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ModuleComponentIdentifier` | `getCandidate()` Gets the candidate version of the module.
    `void` | `reject(String reason)` Rejects the candidate for the resolution.

- - ### Method Detail

    - #### public ModuleComponentIdentifier getCandidate()

      Gets the candidate version of the module.

      Returns:
        the candidate version of the module

    - #### public void reject(String reason)

      Rejects the candidate for the resolution.

      Parameters:
        `reason` - The reason the candidate was rejected.